# Remove all single quotes from all MKV file names in the directory.
for i in *.mkv; do
    ABC="${i//\'}"
    mv ./"$i" ./"$ABC"
done

# Render all MKV files in the directory with burned-in subtitles and Japanese audio.
for i in *.mkv; do
    ffmpeg -i "$i" -vf "subtitles='$i'" -map 0:v -map 0:a:1 "$i.mp4";
done
